.string{

    margin: 2em 0em !important;
    font-size: 1.2em;
    color:#170631;
}

.filters{
    display:flex;
    justify-content: center;
    margin: 0 auto;
    width: 95%;
    position:relative;
}

.mainFilter{
display:flex;
}
.mainFilter2{
display:flex;
width: 205px;;
margin-left: 2em;


}

#populate{
    padding-left:1em!important;
}



.filter_area{
    position:relative;
    width:90%;
    margin-left: 1em;
    margin-bottom: 2em;
    padding: 0.8em;
    border-radius:0.5em;
    background:#FFFFFF!important;
}

.mainFilter .name{
    width: 105px;
    margin-top:0.5em;
    padding-top: 2px;
}
.mainFilter2 .name{
    margin:0em 0.5em ;
    margin-top:0.5em;
    margin-right: 0.9em;
}

.mainFilter .value{
    padding: 0.1em 0em;
   
    display:flex;  
    
}

.mainFilter .photo img{
    width:20px;
    margin: 0em 0.5em;
}
.mainFilter .filters{
   
    margin: 0em 0.5em;
    width: 200px;
}

.mainFilter .value {
    border:solid 1px #170631;
    border-radius: 10px;
}

.mainFilter .value .other_filters{
    position:relative;
    display:none;
}

.input {
position: relative;

background: #FFFFFF;
border:solid 1px #170631;
}

.button{
    border-radius: 20px;
    width: 125px;
    padding: 0.4em 0em;
    text-align: center;
    color:#FFFFFF;
    background-color: #34205c;
    font-size: 1.2em;
    border:none !important;
}

.button:hover {
    box-shadow: 0 8px 8px 0 rgba(0,0,0,0.2);
    background-color: #5a399d;
    transition: 100ms ease-in-out;
}

.but{
    position:relative;
    padding-left: 5%;
}


.costs_forms {
    display: flex;
    width: 95px;
    align-items: center;
}

.rubles {
    padding:10px;
}


.photo {
   
    position: relative;
   width:100%;
  
    overflow: hidden;
   
    justify-content: center;
   
}

.photo img{
    height: 300px;
    width: 100%;
    top: 50%;
    left: 50%;

}




.products{
    flex-wrap: wrap;
    margin: 2em 0em !important;
    display: flex;
    justify-content: center;
}

.product{
    position: relative;
    padding: 0em;
    margin-bottom: 4em;
}

.min_product{
    cursor: pointer;
        transition: 0.5s !important;
        color: #000000 !important;
        width: 300px;
        background-color: white;
        border:solid 2px #ddd;
        border-radius: 20px;
        align-self: center;
        margin: 15px 25px;
}

.min_product:hover{
        background-color: #34205c;
        color: #ffffff !important;
        box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
        border:solid 1px #dfdfdf;
        transition: 100ms ease-in-out;
        border-radius: 20px;
    

}

.product .photo {
        margin: 0em !important;
        width:100%;

}

.product .photo img {
    border-radius: 20px 20px 0 0;
}


.product .coast{
    margin: 10px 20px;
    font-size: 1.5em;
    font-weight: bolder;
}

.product .name{
    margin: 10px 20px;
    font-size: 1.5em;
    height: 60px !important;
    overflow: hidden !important;
}

@media(max-width:1400px){
    .product{
        position: relative;
    }

    .min_product{
        cursor: pointer;
        transition: 0.5s !important;
        color: #170631 !important;
        width: 250px;
        background-color: white;
        border:solid 2px #ddd;
        border-radius: 20px;
        align-self: center;
        margin: 20px 20px;
    }

    .min_product:hover{
        background-color: #dfdfdf;
        color: #000000 !important;
        box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
        border:solid 1px #dfdfdf;
        transition: 100ms ease-in-out;
        border-radius: 20px;
    
    }


    .product .photo {
        margin: 0em !important;
        width:100%;
        border-radius: 20px;
    }

    .product .photo img {
        border-radius: 20px 20px 0 0;
        height: 250px;
    }
    
    
    .product .coast{
        margin: 10px 20px;
        font-size: 1.2em;
        font-weight: bolder;
    }
    
    .product .name{
        margin: 10px 20px;
        font-size: 1.2em;
        height: 50px !important;
    overflow: hidden !important;
    }
    
    .mainFilter{
    display:flex;
    }
    .mainFilter2{
    display:flex;
    }
}

@media(max-width:975px){
    .product{
        position: relative;
        padding: 0em;

        margin-bottom: 4em;
    }

    .but {
        margin-left: 0;
        width: 205px;
    }



    .filters {
        flex-wrap: wrap;
    }
 .mainFilter{
    display:flex;
    }
    .mainFilter2{
        display:flex;

    }
     .min_product{
        cursor: pointer;
        width: 200px;
        background-color: white;
        border-radius: 20px;
        align-self: center;
        margin: 10px 10px;
    }
      .product .photo img {
        height: 200px;
    }
}

@media(max-width:800px){
    .product{
        position: relative;
        padding: 0em;
        margin-bottom: 0em;
    }

    .min_product{
        width: 165px;
    }

    .filters{
        flex-wrap: wrap;
        width: 92%;
    }

    .but {
        margin-left: 82px;
    }

    .product .photo {
    }

    .product .photo img {
        border-radius: 5px;
        height: 200px;
    }
    
    
    .product .coast{
        margin: 10px 20px;
        font-size: 1.0em;
        font-weight: bolder;
    }
    
    .product .name{
        margin: 10px 20px;
        font-size: 1.0em;
        height: 40px !important;
    overflow: hidden !important;
    }
    
    
    .mainFilter2{
    display:flex;
    justify-content: center
    width:100% !important;
    }

    .but {

        align-items: center;
    }
}

.none{
    text-align:center;
    color: #170631;
    font-size: 2em;
    margin: 6em 0em;
    }


@media(max-width: 613px) {
    .button {
        padding: 0.7em;
    }
    .but {
        margin-top: 2em;
        margin-left: 0;
        width: 160px;
    }
   .filter_area {
        margin-left: 0;
        margin-right: 0;
        width: 100%;
   }

    .mainFilter2 {
        margin-left: 0em;
        width: 80%;
        justify-content: center;
    }


    .mainFilter {
        width: 75%;
    }

    #populate{

}
}




@media(max-width:490px){
    .min_product{

    }
    .product .photo img {

    }
}


 




